# station_map.h File Reference

`#include "rail_map.h"`
`#include "road_map.h"`
`#include "water_map.h"`
`#include "station.h"`
`#include "rail.h"`

Go to the source code of this file.

## Typedefs
typedef byte | StationGfx
## Enumerations
enum | { GFX_RADAR_LARGE_FIRST = 31, GFX_RADAR_LARGE_LAST = 42, GFX_WINDSACK_FIRST = 50, GFX_WINDSACK_LAST = 53, GFX_DOCK_BASE_WATER_PART = 4, GFX_TRUCK_BUS_DRIVETHROUGH_OFFSET = 4, GFX_RADAR_INTERNATIONAL_FIRST = 66, GFX_RADAR_INTERNATIONAL_LAST = 77, GFX_RADAR_METROPOLITAN_FIRST = 78, GFX_RADAR_METROPOLITAN_LAST = 89, GFX_RADAR_DISTRICTWE_FIRST = 121, GFX_RADAR_DISTRICTWE_LAST = 132, GFX_WINDSACK_INTERCON_FIRST = 140, GFX_WINDSACK_INTERCON_LAST = 143 }
## Functions
static StationID | GetStationIndex (TileIndex t)
static Station * | GetStationByTile (TileIndex t)
static StationType | GetStationType (TileIndex t)
static RoadStop::Type | GetRoadStopType (TileIndex t)
static StationGfx | GetStationGfx (TileIndex t)
static void | SetStationGfx (TileIndex t, StationGfx gfx)
static bool | IsRailwayStation (TileIndex t)
static bool | IsRailwayStationTile (TileIndex t)
static bool | IsAirport (TileIndex t)
bool | IsHangar (TileIndex t)
| Check whether the given tile is a hangar.
static bool | IsTruckStop (TileIndex t)
static bool | IsBusStop (TileIndex t)
static bool | IsRoadStop (TileIndex t)
static bool | IsRoadStopTile (TileIndex t)
static bool | IsStandardRoadStopTile (TileIndex t)
static bool | IsDriveThroughStopTile (TileIndex t)
static bool | GetStopBuiltOnTownRoad (TileIndex t)
static DiagDirection | GetRoadStopDir (TileIndex t)
| Gets the direction the road stop entrance points towards.
static bool | IsOilRig (TileIndex t)
static bool | IsDock (TileIndex t)
static bool | IsBuoy (TileIndex t)
static bool | IsBuoyTile (TileIndex t)
static bool | IsHangarTile (TileIndex t)
static Axis | GetRailStationAxis (TileIndex t)
static Track | GetRailStationTrack (TileIndex t)
static bool | IsCompatibleTrainStationTile (TileIndex t1, TileIndex t2)
static DiagDirection | GetDockDirection (TileIndex t)
static TileIndexDiffC | GetDockOffset (TileIndex t)
static bool | IsCustomStationSpecIndex (TileIndex t)
static void | SetCustomStationSpecIndex (TileIndex t, byte specindex)
static uint | GetCustomStationSpecIndex (TileIndex t)
static void | SetStationTileRandomBits (TileIndex t, byte random_bits)
static byte | GetStationTileRandomBits (TileIndex t)
static void | MakeStation (TileIndex t, Owner o, StationID sid, StationType st, byte section)
static void | MakeRailStation (TileIndex t, Owner o, StationID sid, Axis a, byte section, RailType rt)
static void | MakeRoadStop (TileIndex t, Owner o, StationID sid, RoadStop::Type rst, RoadTypes rt, DiagDirection d)
static void | MakeDriveThroughRoadStop (TileIndex t, Owner o, StationID sid, RoadStop::Type rst, RoadTypes rt, Axis a, bool on_town_road)
static void | MakeAirport (TileIndex t, Owner o, StationID sid, byte section)
static void | MakeBuoy (TileIndex t, StationID sid, WaterClass wc)
static void | MakeDock (TileIndex t, Owner o, StationID sid, DiagDirection d, WaterClass wc)
static void | MakeOilrig (TileIndex t, StationID sid)

## Detailed Description

Definition in file station_map.h.

## Function Documentation

bool IsHangar | ( | TileIndex | t | ) |

Check whether the given tile is a hangar.

Parameters:

  | t | the tile to of whether it is a hangar.

Precondition:
  IsTileType(t, MP_STATION)

Returns:
  true if and only if the tile is a hangar.

Definition at line 59 of file station_cmd.cpp.

References IsTileType(), MP_STATION, and ToTileIndexDiff().

Referenced by IsDepotTile().